# Run sentence embedder as a custom microservice
apiVersion: apps/v1
kind: Deployment
metadata:
  name: delvin-sentence-embedder-deployment
  labels:
    app: delvin-sentence-embedder
spec:
  replicas: 1
  selector:
    matchLabels:
      app: delvin-sentence-embedder
  template:
    metadata:
      labels:
        app: delvin-sentence-embedder
    spec:
      containers:
        - name: delvin-sentence-embedder-container
          image: tangibleai/delvin-ml:0.1.0
          imagePullPolicy: Always
          resources:
            requests:
              cpu: 200m
              memory: 800Mi
            limits:
              memory: 1600Mi
              cpu: 1600m
          envFrom:
            - secretRef:
                name: dotenv-k8s-main
#                name: dotenv-k8s-staging
          ports:
            - containerPort: 9000

---

apiVersion: v1
kind: Service
metadata:
  name: delvin-sentence-embedder
spec:
  type: ClusterIP
  ports:
  - port: 80
    targetPort: 9000
  selector:
    app: delvin-sentence-embedder
